UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 21470

System Generator for DSP - I cannot target Virtex-4 with the DDS Core in SysGen. Why?

Description

When I try to target Virtex-4 in System Generator with a design containing the DDS Core, I receive the following  

error when I try to generate a netlist: 

 

"A hardware implementation of this block could not be generated. 

--The DDS 4.1 Core does not support the Virtex-4 device" 

 

Why am I receiving this error? When I open COREGen, I see that there is a version 5.0 of the DDS Core available that can target Virtex-4.

Solution

The version of the LogiCORE DDS v4.1 Core in System Generator does not support Virtex-4.  

 

To work around the issue, you can generate the LogiCORE DDS v5.0 Core, in System Generator for DSP 8.1 beyond. 

 

If you are using System Generator 7.1 and earlier, you must generate the LogiCORE DDS v5.0 using COREGen standalone. You will then be able to import the core into System Generator as a Black Box. More information on Importing a Black Box into System Generator is available in the User Guide.

AR# 21470
Date Created 09/04/2007
Last Updated 05/19/2014
Status Archive
Type General Article